package net.sourceforge.phpeclipse.xdebug.php.model;

import org.eclipse.debug.core.DebugException;
import org.w3c.dom.Node;

public class XDebugStringValue extends XDebugAbstractValue {
	public XDebugStringValue(XDebugStackFrame variable, Node value) throws DebugException {
		super(variable, value);
	}

	public void renderValueString(String data) {
		fValueString = "\"" + data + "\"";
	}

	public boolean supportsValueModification() {
		return true;
	}

	public boolean verifyValue(String expression) {
		return true;
	}
}